Skip to main content
`Ctrl`+`K`

# pandas.IntervalDtype

class pandas.IntervalDtype(subtype=None, closed=None)

  An ExtensionDtype for Interval data.

  This is not an actual numpy dtype, but a duck type.

  Parameters:
    subtype str, np.dtype

      The dtype of the Interval bounds.

  Attributes

  `subtype` | The dtype of the Interval bounds.

  Methods

  None |

  Examples

      >>> pd.IntervalDtype(subtype='int64', closed='both')
      interval[int64, both]